package cn.superdesk.uniorder.dao.mapper.thirdpart.jd;

import cn.superdesk.uniorder.dao.entity.thirdpart.jd.AccountingUnifiedSupplierOrderJdCheckUpReport;
import cn.superdesk.uniorder.dao.entity.thirdpart.jd.AccountingUnifiedSupplierOrderJdCheckUpReportExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface AccountingUnifiedSupplierOrderJdCheckUpReportMapper {
    long countByExample(AccountingUnifiedSupplierOrderJdCheckUpReportExample example);

    int deleteByExample(AccountingUnifiedSupplierOrderJdCheckUpReportExample example);

    int deleteByPrimaryKey(Long id);

    int insert(AccountingUnifiedSupplierOrderJdCheckUpReport record);

    int insertSelective(AccountingUnifiedSupplierOrderJdCheckUpReport record);

    List<AccountingUnifiedSupplierOrderJdCheckUpReport> selectByExampleWithBLOBs(AccountingUnifiedSupplierOrderJdCheckUpReportExample example);

    List<AccountingUnifiedSupplierOrderJdCheckUpReport> selectByExample(AccountingUnifiedSupplierOrderJdCheckUpReportExample example);

    AccountingUnifiedSupplierOrderJdCheckUpReport selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") AccountingUnifiedSupplierOrderJdCheckUpReport record, @Param("example") AccountingUnifiedSupplierOrderJdCheckUpReportExample example);

    int updateByExampleWithBLOBs(@Param("record") AccountingUnifiedSupplierOrderJdCheckUpReport record, @Param("example") AccountingUnifiedSupplierOrderJdCheckUpReportExample example);

    int updateByExample(@Param("record") AccountingUnifiedSupplierOrderJdCheckUpReport record, @Param("example") AccountingUnifiedSupplierOrderJdCheckUpReportExample example);

    int updateByPrimaryKeySelective(AccountingUnifiedSupplierOrderJdCheckUpReport record);

    int updateByPrimaryKeyWithBLOBs(AccountingUnifiedSupplierOrderJdCheckUpReport record);

    int updateByPrimaryKey(AccountingUnifiedSupplierOrderJdCheckUpReport record);
}